Bug 161459 - New port: x11-fm/doublecmd Total Commander clone for the X Window System
Summary: New port: x11-fm/doublecmd Total Commander clone for the X Window System
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eitan Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-10 12:30 UTC by Beñat Gonzalez Etxepare
Modified: 2012-04-19 08:20 UTC (History)
0 users

See Also:


Attachments
file.shar (7.36 KB, text/plain)
2011-10-10 12:30 UTC, Beñat Gonzalez Etxepare
no flags Details
doublecmd.shar (7.27 KB, application/x-shar)
2011-10-20 19:18 UTC, Beñat Gonzalez Etxepare
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Beñat Gonzalez Etxepare 2011-10-10 12:30:08 UTC

Fix: Patch attached with submission follows:
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2011-10-11 23:53:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

I'll take it.
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2011-10-18 22:34:00 UTC
State Changed
From-To: open->feedback

a) please don't use !=;  use tabs not spaces
Comment 3 Beñat Gonzalez Etxepare 2011-10-20 19:18:23 UTC
I have replaced spaces with tabs.

About using != I can't find any other way to use an externally obtained
variable in a condition. I have read about the $$() trick, but it
doesn't work inside an if statement (it compares the command against
the literal, which obviously always returns false).

If there is a workaround to using this kind of assignement in this
case, I would be glad to know about it, but all my searches have been
in vain, sorry.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2011-10-23 19:29:36 UTC
State Changed
From-To: feedback->open

feedback rcvd
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2011-10-29 00:00:32 UTC
State Changed
From-To: open->feedback

Ah, I see the problem now. Don't base LCL_PLATFORM based on what is 
already installed. use OPTIONS instead
Comment 6 Beñat Gonzalez Etxepare 2011-10-29 19:11:28 UTC
The problem in using OPTIONS is that this application must be built
with the same LCL_PLATFORM option "editors/lazarus" port has. Otherwise
the building process will fail. From my understanding I cannot force a
dependency to be built with the options some other port needs.

I have partially based my port in "net-p2p/transmisson-remote-gui"
port which also depends on Lazarus. Being a port maintained by the same
guy who maintains Lazarus, I assumed it uses the best way of doing it.
But maybe I should have asked first, sorry.

Should I ask for help for this in the ports mailing list? Or how should
I proceed?

And sorry again for wasting your time, but this is my first port and
because of its dependencies it is not the easiest to start with.
Comment 7 Eitan Adler freebsd_committer freebsd_triage 2011-11-03 19:09:48 UTC
State Changed
From-To: feedback->suspended

per private dissussion with submitted awaiting new patch
Comment 8 Eitan Adler freebsd_committer freebsd_triage 2012-02-25 22:31:25 UTC
State Changed
From-To: suspended->closed

submitter has not yet sent me a new patch
Comment 9 Eitan Adler freebsd_committer freebsd_triage 2012-02-26 22:08:47 UTC
State Changed
From-To: closed->suspended

per private discussion
Comment 10 Jose Alonso Cardenas Marquez freebsd_committer 2012-04-19 07:53:09 UTC
State Changed
From-To: suspended->open

- I'll take it :)
Comment 11 dfilter service freebsd_committer 2012-04-19 08:11:27 UTC
acm         2012-04-19 07:11:18 UTC

  FreeBSD ports repository

  Modified files:
    x11-fm               Makefile 
  Added files:
    x11-fm/doublecmd     Makefile distinfo pkg-descr 
    x11-fm/doublecmd/files patch-src-dmhelpmanager.pas 
                           patch-src-uGlobsPaths.pas 
                           pkg-message.in 
  Log:
  - New port: x11-fm/doublecmd
  
  Double Commander is a cross platform open source file manager with two panels
  side by side. It is inspired by Total Commander and features some new ideas.
  
  WWW: http://doublecmd.sourceforge.net/
  
  PR:             ports/161459
  Submitted by:   Beñat Gonzalez Etxepare <bbtruk _ a t _ users.sourceforge.net>
  
  Revision  Changes    Path
  1.84      +1 -0      ports/x11-fm/Makefile
  1.1       +114 -0    ports/x11-fm/doublecmd/Makefile (new)
  1.1       +4 -0      ports/x11-fm/doublecmd/distinfo (new)
  1.1       +16 -0     ports/x11-fm/doublecmd/files/patch-src-dmhelpmanager.pas (new)
  1.1       +40 -0     ports/x11-fm/doublecmd/files/patch-src-uGlobsPaths.pas (new)
  1.1       +17 -0     ports/x11-fm/doublecmd/files/pkg-message.in (new)
  1.1       +4 -0      ports/x11-fm/doublecmd/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Jose Alonso Cardenas Marquez freebsd_committer 2012-04-19 08:12:08 UTC
State Changed
From-To: open->closed

- Committed with some modifications :)